[Pvfs2-cvs] commit by kunkel in pvfs2/test/automated/mpiio-tests.d: romio-async romio-coll_test romio-error romio-excl romio-file_info romio-noncontig_coll2 romio-psimple romio-simple romio-split_coll romio-status functions

CVS commit program cvs at parl.clemson.edu
Tue Aug 29 06:41:29 EDT 2006


Update of /projects/cvsroot/pvfs2/test/automated/mpiio-tests.d
In directory parlweb1:/tmp/cvs-serv30492/test/automated/mpiio-tests.d

Modified Files:
      Tag: kunkel-branch
	functions 
Added Files:
      Tag: kunkel-branch
	romio-async romio-coll_test romio-error romio-excl 
	romio-file_info romio-noncontig_coll2 romio-psimple 
	romio-simple romio-split_coll romio-status 
Log Message:
Backmerge with HEAD


--- /dev/null	2004-06-24 14:04:38.000000000 -0400
+++ romio-async	2006-08-29 06:41:29.000000000 -0400
@@ -0,0 +1,58 @@
+#!/bin/sh 
+
+. functions
+
+##
+## entry point for script
+##
+
+# all the ROMIO tests have the same form: <testname> -fname <file>
+# only the name changes:
+
+TESTNAME=async
+TEST_DEST=${CLUSTER_DIR}/$TESTNAME
+
+
+(cd ${PVFS2_DEST}/mpich2-snap-*/build/src/mpi/romio/test && \
+	make $TESTNAME && cp $TESTNAME $TEST_DEST)
+
+if [ $? -ne 0 ] ; then
+	exit 1
+fi
+
+
+# like the other mpiio tests we can only do multi processor tests if there's a
+# pav config file we can use
+# If we have to we can fall back to single processor, and still do something
+# reasonable. 
+
+if [ -f $PAV_CONFIG ] ; then 
+	# write out a pbs script
+	pbs_script=${CLUSTER_DIR}/${TESTNAME}.sh
+	make_pbs_script ${TEST_DEST} -fname pvfs2:\${MOUNTPOINT}/$TESTNAME \
+		> $pbs_script
+
+	# submit it
+	job_id=$(qsub -N $TESTNAME $pbs_script | cut -d . -f1)
+
+	if [ $? -ne 0 ] ; then
+		exit 1
+	fi	
+
+	if [ -z "$job_id" ] ; then
+		exit 1
+	fi	
+
+	# wait patently for it to complete
+	block_until_done $job_id
+
+	# need to get results into per-test log files
+	cat ${TESTNAME}.o$job_id
+
+	grep -q '^ No Errors$' ${TESTNAME}.o$job_id
+	if [ $? -ne 0 ] ; then 
+		exit 1
+	fi
+
+	exit 0
+fi

--- /dev/null	2004-06-24 14:04:38.000000000 -0400
+++ romio-coll_test	2006-08-29 06:41:29.000000000 -0400
@@ -0,0 +1,58 @@
+#!/bin/sh 
+
+. functions
+
+##
+## entry point for script
+##
+
+# all the ROMIO tests have the same form: <testname> -fname <file>
+# only the name changes:
+
+TESTNAME=coll_test
+TEST_DEST=${CLUSTER_DIR}/$TESTNAME
+
+
+(cd ${PVFS2_DEST}/mpich2-snap-*/build/src/mpi/romio/test && \
+	make $TESTNAME && cp $TESTNAME $TEST_DEST)
+
+if [ $? -ne 0 ] ; then
+	exit 1
+fi
+
+
+# like the other mpiio tests we can only do multi processor tests if there's a
+# pav config file we can use
+# If we have to we can fall back to single processor, and still do something
+# reasonable. 
+
+if [ -f $PAV_CONFIG ] ; then 
+	# write out a pbs script
+	pbs_script=${CLUSTER_DIR}/${TESTNAME}.sh
+	make_pbs_script ${TEST_DEST} -fname pvfs2:\${MOUNTPOINT}/$TESTNAME \
+		> $pbs_script
+
+	# submit it
+	job_id=$(qsub -N $TESTNAME $pbs_script | cut -d . -f1)
+
+	if [ $? -ne 0 ] ; then
+		exit 1
+	fi	
+
+	if [ -z "$job_id" ] ; then
+		exit 1
+	fi	
+
+	# wait patently for it to complete
+	block_until_done $job_id
+
+	# need to get results into per-test log files
+	cat ${TESTNAME}.o$job_id
+
+	grep -q '^ No Errors$' ${TESTNAME}.o$job_id
+	if [ $? -ne 0 ] ; then 
+		exit 1
+	fi
+
+	exit 0
+fi

--- /dev/null	2004-06-24 14:04:38.000000000 -0400
+++ romio-error	2006-08-29 06:41:29.000000000 -0400
@@ -0,0 +1,58 @@
+#!/bin/sh 
+
+. functions
+
+##
+## entry point for script
+##
+
+# all the ROMIO tests have the same form: <testname> -fname <file>
+# only the name changes:
+
+TESTNAME=error
+TEST_DEST=${CLUSTER_DIR}/$TESTNAME
+
+
+(cd ${PVFS2_DEST}/mpich2-snap-*/build/src/mpi/romio/test && \
+	make $TESTNAME && cp $TESTNAME $TEST_DEST)
+
+if [ $? -ne 0 ] ; then
+	exit 1
+fi
+
+
+# like the other mpiio tests we can only do multi processor tests if there's a
+# pav config file we can use
+# If we have to we can fall back to single processor, and still do something
+# reasonable. 
+
+if [ -f $PAV_CONFIG ] ; then 
+	# write out a pbs script
+	pbs_script=${CLUSTER_DIR}/${TESTNAME}.sh
+	make_pbs_script ${TEST_DEST} -fname pvfs2:\${MOUNTPOINT}/$TESTNAME \
+		> $pbs_script
+
+	# submit it
+	job_id=$(qsub -N $TESTNAME $pbs_script | cut -d . -f1)
+
+	if [ $? -ne 0 ] ; then
+		exit 1
+	fi	
+
+	if [ -z "$job_id" ] ; then
+		exit 1
+	fi	
+
+	# wait patently for it to complete
+	block_until_done $job_id
+
+	# need to get results into per-test log files
+	cat ${TESTNAME}.o$job_id
+
+	grep -q '^ No Errors$' ${TESTNAME}.o$job_id
+	if [ $? -ne 0 ] ; then 
+		exit 1
+	fi
+
+	exit 0
+fi

--- /dev/null	2004-06-24 14:04:38.000000000 -0400
+++ romio-excl	2006-08-29 06:41:29.000000000 -0400
@@ -0,0 +1,58 @@
+#!/bin/sh 
+
+. functions
+
+##
+## entry point for script
+##
+
+# all the ROMIO tests have the same form: <testname> -fname <file>
+# only the name changes:
+
+TESTNAME=excl
+TEST_DEST=${CLUSTER_DIR}/$TESTNAME
+
+
+(cd ${PVFS2_DEST}/mpich2-snap-*/build/src/mpi/romio/test && \
+	make $TESTNAME && cp $TESTNAME $TEST_DEST)
+
+if [ $? -ne 0 ] ; then
+	exit 1
+fi
+
+
+# like the other mpiio tests we can only do multi processor tests if there's a
+# pav config file we can use
+# If we have to we can fall back to single processor, and still do something
+# reasonable. 
+
+if [ -f $PAV_CONFIG ] ; then 
+	# write out a pbs script
+	pbs_script=${CLUSTER_DIR}/${TESTNAME}.sh
+	make_pbs_script ${TEST_DEST} -fname pvfs2:\${MOUNTPOINT}/$TESTNAME \
+		> $pbs_script
+
+	# submit it
+	job_id=$(qsub -N $TESTNAME $pbs_script | cut -d . -f1)
+
+	if [ $? -ne 0 ] ; then
+		exit 1
+	fi	
+
+	if [ -z "$job_id" ] ; then
+		exit 1
+	fi	
+
+	# wait patently for it to complete
+	block_until_done $job_id
+
+	# need to get results into per-test log files
+	cat ${TESTNAME}.o$job_id
+
+	grep -q '^ No Errors$' ${TESTNAME}.o$job_id
+	if [ $? -ne 0 ] ; then 
+		exit 1
+	fi
+
+	exit 0
+fi

--- /dev/null	2004-06-24 14:04:38.000000000 -0400
+++ romio-file_info	2006-08-29 06:41:29.000000000 -0400
@@ -0,0 +1,58 @@
+#!/bin/sh 
+
+. functions
+
+##
+## entry point for script
+##
+
+# all the ROMIO tests have the same form: <testname> -fname <file>
+# only the name changes:
+
+TESTNAME=file_info
+TEST_DEST=${CLUSTER_DIR}/$TESTNAME
+
+
+(cd ${PVFS2_DEST}/mpich2-snap-*/build/src/mpi/romio/test && \
+	make $TESTNAME && cp $TESTNAME $TEST_DEST)
+
+if [ $? -ne 0 ] ; then
+	exit 1
+fi
+
+
+# like the other mpiio tests we can only do multi processor tests if there's a
+# pav config file we can use
+# If we have to we can fall back to single processor, and still do something
+# reasonable. 
+
+if [ -f $PAV_CONFIG ] ; then 
+	# write out a pbs script
+	pbs_script=${CLUSTER_DIR}/${TESTNAME}.sh
+	make_pbs_script ${TEST_DEST} -fname pvfs2:\${MOUNTPOINT}/$TESTNAME \
+		> $pbs_script
+
+	# submit it
+	job_id=$(qsub -N $TESTNAME $pbs_script | cut -d . -f1)
+
+	if [ $? -ne 0 ] ; then
+		exit 1
+	fi	
+
+	if [ -z "$job_id" ] ; then
+		exit 1
+	fi	
+
+	# wait patently for it to complete
+	block_until_done $job_id
+
+	# need to get results into per-test log files
+	cat ${TESTNAME}.o$job_id
+
+	grep -q '^ No Errors$' ${TESTNAME}.o$job_id
+	if [ $? -ne 0 ] ; then 
+		exit 1
+	fi
+
+	exit 0
+fi

--- /dev/null	2004-06-24 14:04:38.000000000 -0400
+++ romio-noncontig_coll2	2006-08-29 06:41:29.000000000 -0400
@@ -0,0 +1,58 @@
+#!/bin/sh 
+
+. functions
+
+##
+## entry point for script
+##
+
+# all the ROMIO tests have the same form: <testname> -fname <file>
+# only the name changes:
+
+TESTNAME=noncontig_coll2
+TEST_DEST=${CLUSTER_DIR}/$TESTNAME
+
+
+(cd ${PVFS2_DEST}/mpich2-snap-*/build/src/mpi/romio/test && \
+	make $TESTNAME && cp $TESTNAME $TEST_DEST)
+
+if [ $? -ne 0 ] ; then
+	exit 1
+fi
+
+
+# like the other mpiio tests we can only do multi processor tests if there's a
+# pav config file we can use
+# If we have to we can fall back to single processor, and still do something
+# reasonable. 
+
+if [ -f $PAV_CONFIG ] ; then 
+	# write out a pbs script
+	pbs_script=${CLUSTER_DIR}/${TESTNAME}.sh
+	make_pbs_script ${TEST_DEST} -fname pvfs2:\${MOUNTPOINT}/$TESTNAME \
+		> $pbs_script
+
+	# submit it
+	job_id=$(qsub -N $TESTNAME $pbs_script | cut -d . -f1)
+
+	if [ $? -ne 0 ] ; then
+		exit 1
+	fi	
+
+	if [ -z "$job_id" ] ; then
+		exit 1
+	fi	
+
+	# wait patently for it to complete
+	block_until_done $job_id
+
+	# need to get results into per-test log files
+	cat ${TESTNAME}.o$job_id
+
+	grep -q '^ No Errors$' ${TESTNAME}.o$job_id
+	if [ $? -ne 0 ] ; then 
+		exit 1
+	fi
+
+	exit 0
+fi

--- /dev/null	2004-06-24 14:04:38.000000000 -0400
+++ romio-psimple	2006-08-29 06:41:29.000000000 -0400
@@ -0,0 +1,58 @@
+#!/bin/sh 
+
+. functions
+
+##
+## entry point for script
+##
+
+# all the ROMIO tests have the same form: <testname> -fname <file>
+# only the name changes:
+
+TESTNAME=psimple
+TEST_DEST=${CLUSTER_DIR}/$TESTNAME
+
+
+(cd ${PVFS2_DEST}/mpich2-snap-*/build/src/mpi/romio/test && \
+	make $TESTNAME && cp $TESTNAME $TEST_DEST)
+
+if [ $? -ne 0 ] ; then
+	exit 1
+fi
+
+
+# like the other mpiio tests we can only do multi processor tests if there's a
+# pav config file we can use
+# If we have to we can fall back to single processor, and still do something
+# reasonable. 
+
+if [ -f $PAV_CONFIG ] ; then 
+	# write out a pbs script
+	pbs_script=${CLUSTER_DIR}/${TESTNAME}.sh
+	make_pbs_script ${TEST_DEST} -fname pvfs2:\${MOUNTPOINT}/$TESTNAME \
+		> $pbs_script
+
+	# submit it
+	job_id=$(qsub -N $TESTNAME $pbs_script | cut -d . -f1)
+
+	if [ $? -ne 0 ] ; then
+		exit 1
+	fi	
+
+	if [ -z "$job_id" ] ; then
+		exit 1
+	fi	
+
+	# wait patently for it to complete
+	block_until_done $job_id
+
+	# need to get results into per-test log files
+	cat ${TESTNAME}.o$job_id
+
+	grep -q '^ No Errors$' ${TESTNAME}.o$job_id
+	if [ $? -ne 0 ] ; then 
+		exit 1
+	fi
+
+	exit 0
+fi

--- /dev/null	2004-06-24 14:04:38.000000000 -0400
+++ romio-simple	2006-08-29 06:41:29.000000000 -0400
@@ -0,0 +1,58 @@
+#!/bin/sh 
+
+. functions
+
+##
+## entry point for script
+##
+
+# all the ROMIO tests have the same form: <testname> -fname <file>
+# only the name changes:
+
+TESTNAME=simple
+TEST_DEST=${CLUSTER_DIR}/$TESTNAME
+
+
+(cd ${PVFS2_DEST}/mpich2-snap-*/build/src/mpi/romio/test && \
+	make $TESTNAME && cp $TESTNAME $TEST_DEST)
+
+if [ $? -ne 0 ] ; then
+	exit 1
+fi
+
+
+# like the other mpiio tests we can only do multi processor tests if there's a
+# pav config file we can use
+# If we have to we can fall back to single processor, and still do something
+# reasonable. 
+
+if [ -f $PAV_CONFIG ] ; then 
+	# write out a pbs script
+	pbs_script=${CLUSTER_DIR}/${TESTNAME}.sh
+	make_pbs_script ${TEST_DEST} -fname pvfs2:\${MOUNTPOINT}/$TESTNAME \
+		> $pbs_script
+
+	# submit it
+	job_id=$(qsub -N $TESTNAME $pbs_script | cut -d . -f1)
+
+	if [ $? -ne 0 ] ; then
+		exit 1
+	fi	
+
+	if [ -z "$job_id" ] ; then
+		exit 1
+	fi	
+
+	# wait patently for it to complete
+	block_until_done $job_id
+
+	# need to get results into per-test log files
+	cat ${TESTNAME}.o$job_id
+
+	grep -q '^ No Errors$' ${TESTNAME}.o$job_id
+	if [ $? -ne 0 ] ; then 
+		exit 1
+	fi
+
+	exit 0
+fi

--- /dev/null	2004-06-24 14:04:38.000000000 -0400
+++ romio-split_coll	2006-08-29 06:41:29.000000000 -0400
@@ -0,0 +1,58 @@
+#!/bin/sh 
+
+. functions
+
+##
+## entry point for script
+##
+
+# all the ROMIO tests have the same form: <testname> -fname <file>
+# only the name changes:
+
+TESTNAME=split_coll
+TEST_DEST=${CLUSTER_DIR}/$TESTNAME
+
+
+(cd ${PVFS2_DEST}/mpich2-snap-*/build/src/mpi/romio/test && \
+	make $TESTNAME && cp $TESTNAME $TEST_DEST)
+
+if [ $? -ne 0 ] ; then
+	exit 1
+fi
+
+
+# like the other mpiio tests we can only do multi processor tests if there's a
+# pav config file we can use
+# If we have to we can fall back to single processor, and still do something
+# reasonable. 
+
+if [ -f $PAV_CONFIG ] ; then 
+	# write out a pbs script
+	pbs_script=${CLUSTER_DIR}/${TESTNAME}.sh
+	make_pbs_script ${TEST_DEST} -fname pvfs2:\${MOUNTPOINT}/$TESTNAME \
+		> $pbs_script
+
+	# submit it
+	job_id=$(qsub -N $TESTNAME $pbs_script | cut -d . -f1)
+
+	if [ $? -ne 0 ] ; then
+		exit 1
+	fi	
+
+	if [ -z "$job_id" ] ; then
+		exit 1
+	fi	
+
+	# wait patently for it to complete
+	block_until_done $job_id
+
+	# need to get results into per-test log files
+	cat ${TESTNAME}.o$job_id
+
+	grep -q '^ No Errors$' ${TESTNAME}.o$job_id
+	if [ $? -ne 0 ] ; then 
+		exit 1
+	fi
+
+	exit 0
+fi

--- /dev/null	2004-06-24 14:04:38.000000000 -0400
+++ romio-status	2006-08-29 06:41:29.000000000 -0400
@@ -0,0 +1,58 @@
+#!/bin/sh 
+
+. functions
+
+##
+## entry point for script
+##
+
+# all the ROMIO tests have the same form: <testname> -fname <file>
+# only the name changes:
+
+TESTNAME=status
+TEST_DEST=${CLUSTER_DIR}/$TESTNAME
+
+
+(cd ${PVFS2_DEST}/mpich2-snap-*/build/src/mpi/romio/test && \
+	make $TESTNAME && cp $TESTNAME $TEST_DEST)
+
+if [ $? -ne 0 ] ; then
+	exit 1
+fi
+
+
+# like the other mpiio tests we can only do multi processor tests if there's a
+# pav config file we can use
+# If we have to we can fall back to single processor, and still do something
+# reasonable. 
+
+if [ -f $PAV_CONFIG ] ; then 
+	# write out a pbs script
+	pbs_script=${CLUSTER_DIR}/${TESTNAME}.sh
+	make_pbs_script ${TEST_DEST} -fname pvfs2:\${MOUNTPOINT}/$TESTNAME \
+		> $pbs_script
+
+	# submit it
+	job_id=$(qsub -N $TESTNAME $pbs_script | cut -d . -f1)
+
+	if [ $? -ne 0 ] ; then
+		exit 1
+	fi	
+
+	if [ -z "$job_id" ] ; then
+		exit 1
+	fi	
+
+	# wait patently for it to complete
+	block_until_done $job_id
+
+	# need to get results into per-test log files
+	cat ${TESTNAME}.o$job_id
+
+	grep -q '^ No Errors$' ${TESTNAME}.o$job_id
+	if [ $? -ne 0 ] ; then 
+		exit 1
+	fi
+
+	exit 0
+fi

Index: functions
===================================================================
RCS file: /projects/cvsroot/pvfs2/test/automated/mpiio-tests.d/functions,v
diff -p -u -r1.2 -r1.2.28.1
--- functions	22 Jul 2005 15:33:47 -0000	1.2
+++ functions	29 Aug 2006 10:41:29 -0000	1.2.28.1
@@ -11,7 +11,7 @@
 make_pbs_script() {
 
 	echo "#!/bin/sh
-#PBS -l walltime=0:30:0
+#PBS -l walltime=0:10:0
 #PBS -l nodes=8
 #PBS -j oe
 #PBS -q shared



More information about the Pvfs2-cvs mailing list